using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ExcelTracAddIn
{
    public partial class ProgressDlg : Form
    {
        public ProgressDlg()
        {
            InitializeComponent();
        }

        public ProgressDlg( int min, int max )
        {
            InitializeComponent();

            Minimum = min;
            Maximum = max;
            Value = 0;
        }

        private void ProgressDlg_Load( object sender, EventArgs e )
        {

        }

        public int Minimum
        {
            set
            {
                progress.Minimum = value;
            }

            get
            {
                return progress.Minimum;
            }
        }


        public int Maximum
        {
            set
            {
                progress.Maximum = value;
            }

            get
            {
                return progress.Maximum;
            }
        }

        public int Value
        {
            get
            {
                return progress.Value;
            }

            set
            {
                progress.Value = value;
            }
        }
    }
}
